module Sound.File.Encoding where

data Encoding = Linear8
              | Linear16
              | Linear32
              | Float
              | Double
                deriving (Eq, Show)

-- | Bytes per sample at specified encoding.
sizeOf :: Encoding -> Int
sizeOf Linear8     = 1
sizeOf Linear16    = 2
sizeOf Linear32    = 4
sizeOf Float       = 4
sizeOf Double      = 8

